Upload a published document (its SHA-256 must match the published digest)
PUT
/v1/docs/{commitment}
const url = 'https://api.hardstate.net/v1/docs/example';const options = {method: 'PUT'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.hardstate.net/v1/docs/exampleParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”commitment
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/octet-stream
Responses
Section titled “Responses”Stored
Over 25 MB
Digest mismatch
HardState is a Zevlat Intelligence venture. © 2026 Zevlat Intelligence.